# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/iio/pressure/infineon,dps310.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Infineon DPS310 barometric pressure and temperature sensor

maintainers:
  - Eddie James <eajames@linux.ibm.com>

description:
  The DPS310 is a barometric pressure and temperature sensor with an I2C
  interface.

properties:
  compatible:
    enum:
      - infineon,dps310

  reg:
    maxItems: 1

  "#io-channel-cells":
    const: 0

  vdd-supply:
    description:
      Voltage supply for the chip's analog blocks.

  vddio-supply:
    description:
      Digital voltage supply for the chip's digital blocks and I/O interface.

required:
  - compatible
  - reg

additionalProperties: false

examples:
  - |
    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        dps: pressure-sensor@76 {
          compatible = "infineon,dps310";
          reg = <0x76>;
          #io-channel-cells = <0>;
          vdd-supply = <&vref1>;
          vddio-supply = <&vref2>;
        };
    };
